# Here you can see data that used in all locales. intd is
# abbreviation of "International Data".

# Dictionary for romanize decorator.
ROMANIZATION_ALPHABETS = {
    'ru': {
        "А": "A", "а": "a",
        "Б": "B", "б": "b",
        "В": "V", "в": "v",
        "Г": "G", "г": "g",
        "Д": "D", "д": "d",
        "Е": "E", "е": "e",
        "Ё": "YO", "ё": "yo",
        "Ж": "ZH", "ж": "zh",
        "З": "Z", "з": "z",
        "И": "I", "и": "i",
        "Й": "YE", "й": "ye",
        "К": "K", "к": "k",
        "Л": "L", "л": "l",
        "М": "M", "м": "m",
        "Н": "N", "н": "n",
        "О": "O", "о": "o",
        "П": "P", "п": "p",
        "Р": "R", "р": "r",
        "С": "S", "с": "s",
        "Т": "T", "т": "t",
        "У": "U", "у": "у",
        "Ф": "F", "ф": "f",
        "Х": "KH", "х": "kh",
        "Ц": "TS", "ц": "ts",
        "Ч": "CH", "ч": "ch",
        "Ш": "SH", "ш": "sh",
        "Щ": "SHCH", "щ": "shch",
        "Ъ": "", "ъ": "",
        "Ы": "Y", "ы": "y",
        "Ь": "", "ь": "",
        "Э": "E", "э": "e",
        "Ю": "YU", "ю": "yu",
        "Я": "JA", "я": "ja",
        'ый': 'y', 'ЫЙ': 'Y',
        'ий': 'y', 'ИЙ': 'Y',
        'ые': 'ye', 'ЫЕ': 'YE',
        ' ': ' ', '_': '_'
    }
}

# BUSINESS
CURRENCY = [
    "AED",
    "AFN",
    "ALL",
    "ARS",
    "ATS",
    "AUD",
    "AUD",
    "BBD",
    "BDT",
    "BEF",
    "BGN",
    "BHD",
    "BMD",
    "BRL",
    "BSD",
    "CAD",
    "CAD",
    "CHF",
    "CHF",
    "CLP",
    "CNY",
    "CNY",
    "COP",
    "CRC",
    "CYP",
    "CZK",
    "DEM",
    "DEM",
    "DKK",
    "DOP",
    "DZD",
    "EEK",
    "EGP",
    "ESP",
    "EUR",
    "FIM",
    "FJD",
    "FRF",
    "GBP",
    "GBP",
    "GRD",
    "HKD",
    "HRK",
    "HUF",
    "IDR",
    "IEP",
    "ILS",
    "INR",
    "INR",
    "IQD",
    "IRR",
    "ISK",
    "ITL",
    "JMD",
    "JOD",
    "JPY",
    "JPY",
    "KES",
    "KRW",
    "KRW",
    "KWD",
    "LBP",
    "LKR",
    "LUF",
    "MAD",
    "MTL",
    "MUR",
    "MXN",
    "MYR",
    "NLG",
    "NLG",
    "NLG",
    "NOK",
    "NZD",
    "NZD",
    "OMR",
    "PEN",
    "PHP",
    "PKR",
    "PLN",
    "PTE",
    "QAR",
    "ROL",
    "RON",
    "RUB",
    "SAR",
    "SDG",
    "SEK",
    "SGD",
    "SIT",
    "SKK",
    "THB",
    "TND",
    "TRY",
    "TTD",
    "TWD",
    "USD",
    "USD",
    "USD",
    "VEB",
    "VEF",
    "VND",
    "XAF",
    "XAF",
    "XAG",
    "XAG",
    "XAU",
    "XAU",
    "XAU",
    "XCD",
    "XCD",
    "XDR",
    "XDR",
    "XDR",
    "XOF",
    "XOF",
    "XPD",
    "XPD",
    "XPF",
    "XPF",
    "XPT",
    "XPT",
    "ZAR",
    "ZAR",
    "ZMK"
]

# DATETIME
ROMAN_NUMS = [
    'I',
    'II',
    'III',
    'IV',
    'V',
    'VI',
    'VII',
    'VIII',
    'IX',
    'X',
    'XI',
    'XII',
    'XIII',
    'XIV',
    'XV',
    'XVI',
    'XVII',
    'XVIII',
    'XIX',
    'XX',
    'XXI'
]

# FILE
EXTENSIONS = {
    "source": [
        ".a",
        ".asm",
        ".asp",
        ".awk",
        ".c",
        ".class",
        ".cpp",
        ".pl",
        ".js",
        ".java",
        ".clj",
        ".py",
        ".rb",
        ".hs",
        ".erl",
        ".rs",
        ".swift",
        ".html",
        ".json",
        ".xml",
        ".css",
        ".php",
        ".jl",
        ".r",
        ".cs",
        "d",
        ".lisp",
        ".cl",
        ".go",
        ".h",
        ".scala",
        ".sc",
        ".ts",
        ".sql"
    ],
    "text": [
        ".doc",
        ".docx",
        ".log",
        ".rtf",
        ".md",
        ".pdf",
        ".odt",
        ".txt"
    ],
    "data": [
        ".csv",
        ".dat",
        ".ged",
        ".pps",
        ".ppt",
        ".pptx"
    ],
    "audio": [
        ".flac",
        ".mp3",
        ".m3u",
        ".m4a",
        ".wav",
        ".wma"
    ],
    "video": [
        ".3gp",
        ".mp4",
        ".abi",
        ".m4v",
        ".mov",
        ".mpg",
        ".wmv"
    ],
    "image": [
        ".bmp",
        ".jpg",
        ".jpeg",
        ".png",
        ".svg"
    ],
    "executable": [
        ".apk",
        ".app",
        ".bat",
        ".jar",
        ".com",
        ".exe"
    ],
    "compressed": [
        ".7z",
        ".war",
        ".zip",
        ".tar.gz",
        ".tar.xz",
        ".rar"
    ]
}
MIME_TYPES = [
    "application/atom+xml",
    "application/ecmascript",
    "application/EDI-X12",
    "application/EDIFACT",
    "application/json",
    "application/javascript",
    "application/ogg",
    "application/pdf",
    "application/postscript",
    "application/rdf+xml",
    "application/rss+xml",
    "application/soap+xml",
    "application/font-woff",
    "application/xhtml+xml",
    "application/xml-dtd",
    "application/xop+xml",
    "application/zip",
    "application/gzip",
    "audio/basic",
    "audio/L24",
    "audio/mp4",
    "audio/mpeg",
    "audio/ogg",
    "audio/vorbis",
    "audio/vnd.rn-realaudio",
    "audio/vnd.wave",
    "audio/webm",
    "image/gif",
    "image/jpeg",
    "image/pjpeg",
    "image/png",
    "image/svg+xml",
    "image/tiff",
    "image/vnd.microsoft.icon",
    "message/http",
    "message/imdn+xml",
    "message/partial",
    "message/rfc822",
    "model/example",
    "model/iges",
    "model/mesh",
    "model/vrml",
    "model/x3d+binary",
    "model/x3d+vrml",
    "model/x3d+xml",
    "multipart/mixed",
    "multipart/alternative",
    "multipart/related",
    "multipart/form-data",
    "multipart/signed",
    "multipart/encrypted",
    "text/cmd",
    "text/css",
    "text/csv",
    "text/html",
    "text/javascript",
    "text/plain",
    "text/vcard",
    "text/xml",
    "video/mpeg",
    "video/mp4",
    "video/ogg",
    "video/quicktime",
    "video/webm",
    "video/x-matroska",
    "video/x-ms-wmv",
    "video/x-flv"
]

# SCIENCE
MATH_FORMULAS = [
    "A = (ab)/2",
    "A = a2",
    "A = ab",
    "A = (h(a + b))/2",
    "V = (Ah)/3",
    "xn*xm = xn + m",
    "(xn)/(xm) = x^n - m",
    "(x/y)^n = (x^n)/(y^n)",
    "x^n*y^n = (xy)^n",
    "ax2 + bx + c = 0.",
    "(a/b)/(c/d) = (a/b) * (d/c)",
    "π = pi = 3.1415",
    "A = πr^2",
    "P = 4l",
    "V = πr^2*h",
    "V - E + F = 2"
]

# PERSONAL
BLOOD_GROUPS = (
    'O+', 'A+', 'B+', 'AB+',
    'O−', 'A−', 'B−', 'AB−'
)
FAVORITE_MUSIC_GENRE = (
    "Pop",
    "Rock",
    "Hard Rock",
    "Rhythm & Blues (R&B)",
    "Country",
    "Rock & Roll",
    "Soul",
    "Country Pop",
    "Pop Rock",
    "Heavy Metal",
    "Progressive Rock",
    "Alternative Rock",
    "Jazz",
    "New Wave",
    "Synthpop",
    "Hip Hop",
    "Folk",
    "New Age",
    "Blues Rock",
    "Ambient",
    "Ambient house",
    "Classic",
    "Neoclassic",
    "Drum and bass"
)
GENDER_SYMBOLS = (
    '♂',
    '♀',
    '⚲',
)
SEXUALITY_SYMBOLS = (
    '⚤',
    '⚢',
    '⚣',
    '⚥',
    '⚧',
    '⚪'
)

# ADDRESS
COUNTRIES_ISO = {
    "iso3": [
        "AND",
        "ARE",
        "AFG",
        "ATG",
        "AIA",
        "ALB",
        "ARM",
        "ANT",
        "AGO",
        "ATA",
        "ARG",
        "ASM",
        "AUT",
        "AUS",
        "ABW",
        "ALA",
        "AZE",
        "BIH",
        "BRB",
        "BGD",
        "BEL",
        "BFA",
        "BGR",
        "BHR",
        "BDI",
        "BEN",
        "BLM",
        "BMU",
        "BRN",
        "BOL",
        "BRA",
        "BHS",
        "BTN",
        "BVT",
        "BWA",
        "BLR",
        "BLZ",
        "CAN",
        "CCK",
        "COD",
        "CAF",
        "COG",
        "CHE",
        "CIV",
        "COK",
        "CHL",
        "CMR",
        "CHN",
        "COL",
        "CRI",
        "CUB",
        "CPV",
        "CXR",
        "CYP",
        "CZE",
        "DEU",
        "DJI",
        "DNK",
        "DMA",
        "DOM",
        "DZA",
        "ECU",
        "EST",
        "EGY",
        "ESH",
        "ERI",
        "ESP",
        "ETH",
        "FIN",
        "FJI",
        "FLK",
        "FSM",
        "FRO",
        "FRA",
        "GAB",
        "GBR",
        "GRD",
        "GEO",
        "GUF",
        "GGY",
        "GHA",
        "GIB",
        "GRL",
        "GMB",
        "GIN",
        "GLP",
        "GNQ",
        "GRC",
        "SGS",
        "GTM",
        "GUM",
        "GNB",
        "GUY",
        "HKG",
        "HMD",
        "HND",
        "HRV",
        "HTI",
        "HUN",
        "IDN",
        "IRL",
        "ISR",
        "IMN",
        "IND",
        "IOT",
        "IRQ",
        "IRN",
        "ISL",
        "ITA",
        "JEY",
        "JAM",
        "JOR",
        "JPN",
        "KEN",
        "KGZ",
        "KHM",
        "KIR",
        "COM",
        "KNA",
        "PRK",
        "KOR",
        "KWT",
        "CYM",
        "KAZ",
        "LAO",
        "LBN",
        "LCA",
        "LIE",
        "LKA",
        "LBR",
        "LSO",
        "LTU",
        "LUX",
        "LVA",
        "LBY",
        "MAR",
        "MCO",
        "MDA",
        "MNE",
        "MAF",
        "MDG",
        "MHL",
        "MKD",
        "MLI",
        "MMR",
        "MNG",
        "MAC",
        "MNP",
        "MTQ",
        "MRT",
        "MSR",
        "MLT",
        "MUS",
        "MDV",
        "MWI",
        "MEX",
        "MYS",
        "MOZ",
        "NAM",
        "NCL",
        "NER",
        "NFK",
        "NGA",
        "NIC",
        "NLD",
        "NOR",
        "NPL",
        "NRU",
        "NIU",
        "NZL",
        "OMN",
        "PAN",
        "PER",
        "PYF",
        "PNG",
        "PHL",
        "PAK",
        "POL",
        "SPM",
        "PCN",
        "PRI",
        "PSE",
        "PRT",
        "PLW",
        "PRY",
        "QAT",
        "REU",
        "ROU",
        "SRB",
        "RUS",
        "RWA",
        "SAU",
        "SLB",
        "SYC",
        "SDN",
        "SWE",
        "SGP",
        "SHN",
        "SVN",
        "SJM",
        "SVK",
        "SLE",
        "SMR",
        "SEN",
        "SOM",
        "SUR",
        "SSD",
        "STP",
        "SLV",
        "SYR",
        "SWZ",
        "TCA",
        "TCD",
        "ATF",
        "TGO",
        "THA",
        "TJK",
        "TKL",
        "TLS",
        "TKM",
        "TUN",
        "TON",
        "TUR",
        "TTO",
        "TUV",
        "TWN",
        "TZA",
        "UKR",
        "UGA",
        "UMI",
        "USA",
        "URY",
        "UZB",
        "VAT",
        "VCT",
        "VEN",
        "VGB",
        "VIR",
        "VNM",
        "VUT",
        "WLF",
        "WSM",
        "YEM",
        "MYT",
        "ZAF",
        "ZMB",
        "ZWE"
    ],
    "iso2": [
        "AD",
        "AE",
        "AF",
        "AG",
        "AI",
        "AL",
        "AM",
        "AN",
        "AO",
        "AQ",
        "AR",
        "AS",
        "AT",
        "AU",
        "AW",
        "AX",
        "AZ",
        "BA",
        "BB",
        "BD",
        "BE",
        "BF",
        "BG",
        "BH",
        "BI",
        "BJ",
        "BL",
        "BM",
        "BN",
        "BO",
        "BR",
        "BS",
        "BT",
        "BV",
        "BW",
        "BY",
        "BZ",
        "CA",
        "CC",
        "CD",
        "CF",
        "CG",
        "CH",
        "CI",
        "CK",
        "CL",
        "CM",
        "CN",
        "CO",
        "CR",
        "CU",
        "CV",
        "CX",
        "CY",
        "CZ",
        "DE",
        "DJ",
        "DK",
        "DM",
        "DO",
        "DZ",
        "EC",
        "EE",
        "EG",
        "EH",
        "ER",
        "ES",
        "ET",
        "FI",
        "FJ",
        "FK",
        "FM",
        "FO",
        "FR",
        "GA",
        "GB",
        "GD",
        "GE",
        "GF",
        "GG",
        "GH",
        "GI",
        "GL",
        "GM",
        "GN",
        "GP",
        "GQ",
        "GR",
        "GS",
        "GT",
        "GU",
        "GW",
        "GY",
        "HK",
        "HM",
        "HN",
        "HR",
        "HT",
        "HU",
        "ID",
        "IE",
        "IL",
        "IM",
        "IN",
        "IO",
        "IQ",
        "IR",
        "IS",
        "IT",
        "JE",
        "JM",
        "JO",
        "JP",
        "KE",
        "KG",
        "KH",
        "KI",
        "KM",
        "KN",
        "KP",
        "KR",
        "KW",
        "KY",
        "KZ",
        "LA",
        "LB",
        "LC",
        "LI",
        "LK",
        "LR",
        "LS",
        "LT",
        "LU",
        "LV",
        "LY",
        "MA",
        "MC",
        "MD",
        "ME",
        "MF",
        "MG",
        "MH",
        "MK",
        "ML",
        "MM",
        "MN",
        "MO",
        "MP",
        "MQ",
        "MR",
        "MS",
        "MT",
        "MU",
        "MV",
        "MW",
        "MX",
        "MY",
        "MZ",
        "NA",
        "NC",
        "NE",
        "NF",
        "NG",
        "NI",
        "NL",
        "NO",
        "NP",
        "NR",
        "NU",
        "NZ",
        "OM",
        "PA",
        "PE",
        "PF",
        "PG",
        "PH",
        "PK",
        "PL",
        "PM",
        "PN",
        "PR",
        "PS",
        "PT",
        "PW",
        "PY",
        "QA",
        "RE",
        "RO",
        "RS",
        "RU",
        "RW",
        "SA",
        "SB",
        "SC",
        "SD",
        "SE",
        "SG",
        "SH",
        "SI",
        "SJ",
        "SK",
        "SL",
        "SM",
        "SN",
        "SO",
        "SR",
        "SS",
        "ST",
        "SV",
        "SY",
        "SZ",
        "TC",
        "TD",
        "TF",
        "TG",
        "TH",
        "TJ",
        "TK",
        "TL",
        "TM",
        "TN",
        "TO",
        "TR",
        "TT",
        "TV",
        "TW",
        "TZ",
        "UA",
        "UG",
        "UM",
        "US",
        "UY",
        "UZ",
        "VA",
        "VC",
        "VE",
        "VG",
        "VI",
        "VN",
        "VU",
        "WF",
        "WS",
        "YE",
        "YT",
        "ZA",
        "ZM",
        "ZW"
    ],
    "numeric": [
        "020",
        "784",
        "004",
        "028",
        "660",
        "008",
        "051",
        "530",
        "024",
        "010",
        "032",
        "016",
        "040",
        "036",
        "533",
        "248",
        "031",
        "070",
        "052",
        "050",
        "056",
        "854",
        "100",
        "048",
        "108",
        "204",
        "652",
        "060",
        "096",
        "068",
        "076",
        "044",
        "064",
        "074",
        "072",
        "112",
        "084",
        "124",
        "166",
        "180",
        "140",
        "178",
        "756",
        "384",
        "184",
        "152",
        "120",
        "156",
        "170",
        "188",
        "192",
        "132",
        "162",
        "196",
        "203",
        "276",
        "262",
        "208",
        "212",
        "214",
        "012",
        "218",
        "233",
        "818",
        "732",
        "232",
        "724",
        "231",
        "246",
        "242",
        "238",
        "583",
        "234",
        "250",
        "266",
        "826",
        "308",
        "268",
        "254",
        "831",
        "288",
        "292",
        "304",
        "270",
        "324",
        "312",
        "226",
        "300",
        "239",
        "320",
        "316",
        "624",
        "328",
        "344",
        "334",
        "340",
        "191",
        "332",
        "348",
        "360",
        "372",
        "376",
        "833",
        "356",
        "086",
        "368",
        "364",
        "352",
        "380",
        "832",
        "388",
        "400",
        "392",
        "404",
        "417",
        "116",
        "296",
        "174",
        "659",
        "408",
        "410",
        "414",
        "136",
        "398",
        "418",
        "422",
        "662",
        "438",
        "144",
        "430",
        "426",
        "440",
        "442",
        "428",
        "434",
        "504",
        "492",
        "498",
        "499",
        "663",
        "450",
        "584",
        "807",
        "466",
        "104",
        "496",
        "446",
        "580",
        "474",
        "478",
        "500",
        "470",
        "480",
        "462",
        "454",
        "484",
        "458",
        "508",
        "516",
        "540",
        "562",
        "574",
        "566",
        "558",
        "528",
        "578",
        "524",
        "520",
        "570",
        "554",
        "512",
        "591",
        "604",
        "258",
        "598",
        "608",
        "586",
        "616",
        "666",
        "612",
        "630",
        "275",
        "620",
        "585",
        "600",
        "634",
        "638",
        "642",
        "688",
        "643",
        "646",
        "682",
        "090",
        "690",
        "736",
        "752",
        "702",
        "654",
        "705",
        "744",
        "703",
        "694",
        "674",
        "686",
        "706",
        "740",
        "728",
        "678",
        "222",
        "760",
        "748",
        "796",
        "148",
        "260",
        "768",
        "764",
        "762",
        "772",
        "626",
        "795",
        "788",
        "776",
        "792",
        "780",
        "798",
        "158",
        "834",
        "804",
        "800",
        "581",
        "840",
        "858",
        "860",
        "336",
        "670",
        "862",
        "092",
        "850",
        "704",
        "548",
        "876",
        "882",
        "887",
        "175",
        "710",
        "894",
        "716"
    ]
}
SHORTENED_ADDRESS_FMT = [
    'cs',
    'da',
    'de',
    'es',
    'fi',
    'is',
    'nl',
    'no',
    'sv',
    'pt',
    'pt-br'
]

# CODE
IMEI_TACS = [
    "01124500",  # Apple iPhone
    "01161200",  # Apple iPhone 3G
    "01194800",  # Apple iPhone 3GS
    "01233600",  # Apple iPhone 4
    "01300600",  # Apple iPhone 4S
    "01332700",  # Apple iPhone 5
    "35875505",  # Apple iPhone 5S
    "35881505",  # Apple iPhone 5C
    "35925406",  # Apple iPhone 6
    "35325807",  # Apple iPhone 6S
    "35391805",  # Google Nexus 4
    "35824005",  # Google Nexus 5
    "35896704",  # HTC Desire S
    "35803106",  # HTC One M8s
    "35838706",  # LG G Stylo
    "35929005",  # Motorola Moto G
    "35089080",  # Nokia 3410
    "35154900",  # Nokia 6310i
    "35920605",  # Nokia Lumia 625
    "35699601",  # Nokia N95
    "35316004",  # ZTE Blade
    "35909205",  # Samsung Galaxy Note 3
    "35328504",  # Samsung Galaxy S
    "35332705",  # Samsung Galaxy S2
    "35316605",  # Samsung Galaxy S3
    "35744105",  # Samsung Galaxy S4
    "32930400",  # Samsung Galaxy S7
    "35171005",  # Sony Ericsson Xperia S
    "35511405"  # Sony Ericsson Xperia U
]
ISBN_GROUPS = {
    "cs": "80",
    "da": "87",
    "de": "3",
    "en": "1",
    "es": "84",
    "fa": "600",
    "fi": "951",
    "fr": "2",
    "hu": "615",
    "is": "9935",
    "it": "88",
    "jp": "4",
    "ko": "89",
    "nl": "90",
    "no": "82",
    "pl": "83",
    "pt": "972",
    "pt-br": "85",
    "ru": "5",
    "sv": "91",
    "tr": "605"
}
CURRENCY_SYMBOLS = {
    "cs": "Kč",
    "da": "kr",
    "de": "€",
    "en": "$",
    "en-gb": "£",
    "en-au": "$",
    "es": "€",
    "fa": "﷼",
    "fi": "€",
    "fr": "€",
    "hu": "Ft",
    "is": "kr",
    "it": "€",
    "jp": "¥",
    "ko": "₩",
    "nl": "€",
    "no": "kr",
    "pl": "zł",
    "pt": "€",
    "pt-br": "R$",
    "ru": "₽",
    "sv": "kr",
    "tr": "₺",
    "default": "$"
}

# DEVELOPMENT
OTHER_TECH = [
    "Docker",
    "Rkt",
    "LXC",
    "Vagrant",
    "Elasticsearch",
    "Nginx",
    "Git",
    "Jira",
    "REST",
    "Apache Hadoop",
    "Scrum",
    "Redmine",
    "Mercurial",
    "Apache Kafka",
    "Apache Spark"
]
LICENSES = [
    "Apache License, 2.0 (Apache-2.0)",
    "The BSD 3-Clause License",
    "The BSD 2-Clause License",
    "GNU General Public License (GPL)",
    "General Public License (LGPL)",
    "MIT License (MIT)",
    "Mozilla Public License 2.0 (MPL-2.0)",
    "Common Development and Distribution License (CDDL-1.0)",
    "Eclipse Public License (EPL-1.0)"
]
PROGRAMMING_LANGS = [
    "ASP",
    "Assembly",
    "AutoIt",
    "Awk",
    "Bash",
    "C",
    "C Shell",
    "C#",
    "C++",
    "Caml",
    "Ceylon",
    "Clojure",
    "CoffeeScript",
    "Common Lisp",
    "D",
    "Dart",
    "Delphi",
    "Dylan",
    "ECMAScript",
    "Elixir",
    "Emacs Lisp",
    "Erlang",
    "F#",
    "Falcon",
    "Fortran",
    "GNU Octave",
    "Go",
    "Groovy",
    "Haskell",
    "haXe",
    "Io",
    "J#",
    "Java",
    "JavaScript",
    "Julia",
    "Kotlin",
    "Lisp",
    "Lua",
    "Mathematica",
    "Objective-C",
    "OCaml",
    "Perl",
    "PHP",
    "PL-I",
    "PL-SQL",
    "PowerShell",
    "Prolog",
    "Python",
    "R",
    "Racket",
    "Ruby",
    "Rust",
    "Scala",
    "Scheme",
    "Smalltalk",
    "Tcl",
    "Tex",
    "Transact-SQL",
    "TypeScript",
    "Z shell"
]
NOSQL = (
    "Aerospike",
    "Aerospike",
    "AllegroGraph",
    "Apache Cassandra",
    "CouchDB",
    "Couchbase",
    "Hyperdex",
    "InfiniteGraph",
    "MUMPS",
    "MemcacheDB",
    "Memcached",
    "MongoDB",
    "Neo4J",
    "Redis",
    "RethinkDB",
    "Riak"
)
SQL = (
    "MariaDB",
    "MySQL",
    "PostgreSQL",
    "Oracle DB",
    "SQLite"
    "DB2"
)
BACKEND = [
    "C#/ASP.NET",
    "Java",
    "Java/Tapestry",
    "Go/Beego",
    "Python",
    "Python/Bottle",
    "Python/CherryPy",
    "Erlang",
    "Erlang/ChicagoBoss",
    "Erlang/Cowboy",
    "Clojure",
    "Django",
    "Python/Django",
    "Python/Flask/Gunicorn",
    "Elixir",
    "Elixir/Phoenix",
    "Elixir/Erlang",
    "Node.JS",
    "Node/Express",
    "Falcon",
    "Falcon/Python",
    "Flask",
    "Python/Flask",
    "Go/Gin",
    "Go/Martini",
    "Go",
    "Go/Gorilla",
    "Groovy/Grails",
    "Java",
    "PHP/Laravel",
    "PHP",
    "Lua",
    "Java/Ninja",
    "PHP/Symfony",
    "PHP/Yii 2",
    "Pyramid",
    "Python/Pyramid",
    "Python/Flask/SQLAlchemy",
    "Python/SQLAlchemy",
    "Python/Twisted",
    "Python/web2py",
    "Go/Revel",
    "Ruby",
    "Ruby on Rails",
    "Ruby/Sinatra",
    "Java/Spring",
    "PHP/Symfony",
    "Python/Tornado",
    "Werkzeug",
    "Python/Werkzeug",
    "PHP/Zend Framework"
]
FRONTEND = [
    "JavaScript/Angular 2",
    "JavaScript/Backbone",
    "Gulp/Bower/Sass",
    "JS/HTML/CSS/Canvas/SVG",
    "JavaScript/Ember",
    "JavaScript/React",
    "JavaScript/React/Redux",
    "JavaScript/React/Redux/Flux",
    "JS/HTML/CSS",
    "JavaScript/Highcharts.js",
    "JS/Twitter Bootstrap",
    "React/Canvas/SVG",
    "React/D3.js",
    'React/Redux/Babel',
    "JavaScript/Reflux/Redux",
    "JS/Sass/Less/Gulp",
    "Stylus/Sass/Webpack",
    "JavaScript/Vue",
    "JavaScript/jQuery",
    "TypeScript/React",
    "TypeScript/CSS/HTML",
    'Webpack/Grunt/PostCSS'
]
OS = [
    "Arch",
    "CentOS",
    "Debian",
    "Fedora",
    "FreeBSD",
    "Gentoo",
    "Kali",
    "Lubuntu",
    "Manjaro",
    "Mint",
    "OS X",
    "OpenBSD",
    "PCLinuxOS",
    "Slackware",
    "Ubuntu",
    "Windows 10",
    "Windows 7",
    "Windows 8",
    "Windows 8.1",
    "Zorin",
    "elementaryOS",
    "macOS",
    "openSUSE"
]

# HARDWARE
RESOLUTIONS = [
    "1152x768",
    "1280x854",
    "1440x960",
    "2880x1920",
    "1024x768",
    "1152x864",
    "1280x960",
    "1400x1050",
    "1600x1200",
    "2048x1536",
    "3200x2400",
    "1280x768",
    "1280x1024",
    "2560x2048",
    "1280x720",
    "1365x768",
    "1600x900",
    "1920x1080",
    "1280x800",
    "1440x900",
    "1680x1050",
    "1920x1200",
    "2560x1600"
]
SCREEN_SIZES = (
    "14″",
    "12.1″",
    "12″",
    "14.4″",
    "15″",
    "15.7″",
    "13.3″",
    "13″",
    "17″",
    "15.4″",
    "14.1″"
)
CPU = (
    "Intel® Core i3",
    "Intel® Core i5",
    "Intel® Core i7"
)
GENERATION = (
    '2nd Generation',
    '3rd Generation',
    '4th Generation',
    '5th Generation',
    '6th Generation',
    '7th Generation',
)
GENERATION_ABBR = (
    '7500U',
    '7Y75',
    '7Y30',
    '7200U',
    '7500U',
    '6600K',
    '6700T',
    '6700K',
    '6600T',
    '6300T',
    '6100H',
    '6820HK',
    '6920HQ',
    '6700HQ',
    '6600U',
    '6300U',
    '6100U',
    '5775C',
    '5675C',
    '5775R',
    '5675R',
    '5575R',
    '5350H',
    '5950HQ',
    '5850HQ',
    '5750HQ',
    '5700HQ',
    '5650U'
)
CPU_CODENAMES = (
    'Ivytown', 'Haswell', 'Fortville',
    'Devil\'s Canyon', 'Valley Island',
    'Broadwell', 'Bay Trail', 'Skylake',
    'Orchid Island', 'Bear Ridge',
    'Cannonlake'
)
MEMORY = [
    "64GB SSD",
    "128GB SSD",
    "256GB SDD",
    "512GB SSD",
    "1024GB SSD",
    "256GB HDD",
    "256GB HDD(7200 RPM)",
    "256GB HDD(5400 RPM)",
    "512GB HDD",
    "512GB HDD(7200 RPM)",
    "1TB HDD",
    "1TB HDD(7200 RPM)",
    "1TB HDD + 64GB SSD",
    "2TB HDD(7200 RPM)",
    "512 GB HDD + 32GB SSD",
    "1TB HDD(7200 RPM) + 32GB SSD"
]
GRAPHICS = [
    "Intel® HD Graphics 620",
    "Intel® HD Graphics 615",
    "Intel® Iris™ Pro Graphics 580",
    "Intel® Iris™ Graphics 550",
    "Intel® HD Graphics 520",
    "Intel® Iris™ Pro Graphics 6200",
    "Intel® Iris™ Graphics 6100",
    "Intel® HD Graphics 6000",
    "Intel® HD Graphics 5300 ",
    "Intel® Iris™ Pro Graphics 5200",
    "Intel® Iris™ Graphics 5100",
    "Intel® HD Graphics 5500",
    "Intel® HD Graphics 5000",
    "Intel® HD Graphics 4600",
    "Intel® HD Graphics 4400",
    "Intel® HD Graphics 4000",
    "Intel® HD Graphics 3000",
    "NVIDIA GeForce GTX 1080",
    "NVIDIA GeForce GTX 1070",
    "NVIDIA GeForce GTX 1080",
    "NVIDIA GeForce GTX 980",
    "NVIDIA GeForce GTX 1070",
    "NVIDIA GeForce GTX 980M",
    "NVIDIA GeForce GTX 980",
    "NVIDIA GeForce GTX 970M",
    "NVIDIA GeForce GTX 880M",
    "AMD Radeon R9 M395X",
    "AMD Radeon R9 M485X",
    "AMD Radeon R9 M395"
]
MANUFACTURERS = (
    'Apple',
    "Acer",
    "Dell",
    "ASUS",
    "VAIO",
    "Lenovo",
    "HP",
    "Toshiba",
    "Sony",
    "Samsung",
    "Fujitsu",
    "Apple"
)
PHONE_MODELS = [
    "Apple iPhone 4",
    "Apple iPhone 4S",
    "Apple iPhone 5",
    "Apple iPhone 5s",
    "Apple iPhone 6",
    "Apple iPhone 6 Plus",
    "Apple iPhone 6s",
    "Apple iPhone 6s Plus",
    "Apple iPhone 7",
    "Apple iPhone 7 Plus",
    "Apple iPhone SE",
    "BlackBerry 10 Classic",
    "BlackBerry 10 Leap",
    "BlackBerry 10 P'9982",
    "BlackBerry 10 Passport",
    "BlackBerry 10 Q10",
    "BlackBerry 10 Q5",
    "BlackBerry 10 Z10",
    "BlackBerry 10 Z3",
    "BlackBerry 10 Z30",
    "Nexus 5",
    "Nexus 5X",
    "Nexus 6",
    "Nexus 6P",
    "Nexus 7",
    "Nokia Lumia 1020",
    "Nokia Lumia 1320",
    "Nokia Lumia 1520",
    "Nokia Lumia 2520",
    "Nokia Lumia 505",
    "Nokia Lumia 510",
    "Nokia Lumia 520",
    "Nokia Lumia 525",
    "Nokia Lumia 530",
    "Nokia Lumia 610",
    "Nokia Lumia 620",
    "Nokia Lumia 625",
    "Nokia Lumia 630",
    "Nokia Lumia 635",
    "Nokia Lumia 636",
    "Nokia Lumia 638",
    "Nokia Lumia 710",
    "Nokia Lumia 720",
    "Nokia Lumia 730",
    "Nokia Lumia 735",
    "Nokia Lumia 800",
    "Nokia Lumia 810",
    "Nokia Lumia 820",
    "Nokia Lumia 822",
    "Nokia Lumia 830",
    "Nokia Lumia 900",
    "Nokia Lumia 920",
    "Nokia Lumia 925",
    "Nokia Lumia 928",
    "Nokia Lumia 930",
    "Nokia Lumia ICON",
    "Samsung GT-B7330",
    "Samsung GT-C3520",
    "Samsung GT-E1150i",
    "Samsung Galaxy",
    "Samsung Galaxy",
    "Samsung Galaxy 5",
    "Samsung Galaxy Ace 2",
    "Samsung Galaxy Ace 3",
    "Samsung Galaxy Ace 4",
    "Samsung Galaxy Active Neo",
    "Samsung Galaxy Alpha",
    "Samsung Galaxy Beam i8530",
    "Samsung Galaxy Chat",
    "Samsung Galaxy Core",
    "Samsung Galaxy Core Advance",
    "Samsung Galaxy Core LTE",
    "Samsung Galaxy Core Prime",
    "Samsung Galaxy Duos",
    "Samsung Galaxy E5",
    "Samsung Galaxy E7",
    "Samsung Galaxy Grand Prime",
    "Samsung Galaxy J",
    "Samsung Galaxy J1 Ace Neo",
    "Samsung Galaxy J1 Ace VE",
    "Samsung Galaxy J1 Mini",
    "Samsung Galaxy J5",
    "Samsung Galaxy J7 (2016)",
    "Samsung Galaxy Mega",
    "Samsung Galaxy Mega 2",
    "Samsung Galaxy Note 3",
    "Samsung Galaxy Note 3 Neo",
    "Samsung Galaxy Note 4",
    "Samsung Galaxy Note 5",
    "Samsung Galaxy Note 7",
    "Samsung Galaxy Note Edge",
    "Samsung Galaxy Note II",
    "Samsung Galaxy Note series",
    "Samsung Galaxy Pocket",
    "Samsung Galaxy Pocket 2",
    "Samsung Galaxy Pocket Duos",
    "Samsung Galaxy Pocket Neo",
    "Samsung Galaxy Pocket Plus",
    "Samsung Galaxy Portal",
    "Samsung Galaxy Prevail",
    "Samsung Galaxy R",
    "Samsung Galaxy Round",
    "Samsung Galaxy S",
    "Samsung Galaxy S 4G LTE",
    "Samsung Galaxy S Advance",
    "Samsung Galaxy S II",
    "Samsung Galaxy S III Mini",
    "Samsung Galaxy S III Neo",
    "Samsung Galaxy S Plus",
    "Samsung Galaxy S series",
    "Samsung Galaxy S6",
    "Samsung Galaxy Spica",
    "Samsung Galaxy Star",
    "Samsung Galaxy Tab series",
    "Samsung Galaxy Trend 2 Lite",
    "Samsung Galaxy W",
    "Samsung Galaxy Y",
    "Samsung Galaxy Young",
    "Samsung Galaxy Young 2",
    "Samsung Gravity series",
    "Samsung SGH-G600",
    "Samsung SGH-G800",
    "Samsung SGH-G810",
    "Sony Xperia E5",
    "Sony Xperia X",
    "Sony Xperia XA",
    "Sony Xperia XA Dual",
    "Sony Xperia XZ",
    "Sony Xperia Z5 Premium"
]

# INTERNET
SUBREDDITS = [
    "/r/AskReddit",
    "/r/IAmA",
    "/r/bestof",
    "/r/fatpeoplestories",
    "/r/pettyrevenge",
    "/r/TalesFromRetail",
    "/r/DoesAnybodyElse",
    "/r/CrazyIdeas",
    "/r/WTF",
    "/r/aww",
    "/r/cringepics",
    "/r/cringe",
    "/r/JusticePorn",
    "/r/MorbidReality",
    "/r/rage",
    "/r/mildlyinfuriating",
    "/r/creepy",
    "/r/creepyPMs",
    "/r/nosleep",
    "/r/nostalgia",
    "/r/gaming",
    "/r/leagueoflegends",
    "/r/pokemon",
    "/r/Minecraft",
    "/r/starcraft",
    "/r/Games",
    "/r/DotA2",
    "/r/skyrim",
    "/r/tf2",
    "/r/magicTCG",
    "/r/wow",
    "/r/KerbalSpaceProgram",
    "/r/mindcrack",
    "/r/Fallout",
    "/r/roosterteeth",
    "/r/Planetside",
    "/r/gamegrumps",
    "/r/battlefield3",
    "/r/zelda",
    "/r/darksouls",
    "/r/masseffect",
    "/r/arresteddevelopment",
    "/r/gameofthrones",
    "/r/doctorwho",
    "/r/mylittlepony",
    "/r/community",
    "/r/breakingbad",
    "/r/adventuretime",
    "/r/startrek",
    "/r/TheSimpsons",
    "/r/futurama",
    "/r/HIMYM",
    "/r/DunderMifflin",
    "/r/thewalkingdead",
    "/r/Music",
    "/r/movies",
    "/r/harrypotter",
    "/r/StarWars",
    "/r/DaftPunk",
    "/r/hiphopheads",
    "/r/anime",
    "/r/comicbooks",
    "/r/geek",
    "/r/batman",
    "/r/TheLastAirbender",
    "/r/Naruto",
    "/r/FanTheories",
    "/r/funny",
    "/r/AdviceAnimals",
    "/r/fffffffuuuuuuuuuuuu",
    "/r/4chan",
    "/r/ImGoingToHellForThis",
    "/r/firstworldanarchists",
    "/r/circlejerk",
    "/r/MURICA",
    "/r/facepalm",
    "/r/Jokes",
    "/r/wheredidthesodago",
    "/r/polandball",
    "/r/TrollXChromosomes",
    "/r/comics",
    "/r/nottheonion",
    "/r/britishproblems",
    "/r/TumblrInAction",
    "/r/onetruegod",
    "/r/pics",
    "/r/videos",
    "/r/gifs",
    "/r/reactiongifs",
    "/r/mildlyinteresting",
    "/r/woahdude",
    "/r/FiftyFifty",
    "/r/FoodPorn",
    "/r/HistoryPorn",
    "/r/wallpapers",
    "/r/youtubehaiku",
    "/r/Unexpected",
    "/r/photoshopbattles",
    "/r/AnimalsBeingJerks",
    "/r/cosplay",
    "/r/EarthPorn",
    "/r/QuotesPorn",
    "/r/awwnime",
    "/r/AbandonedPorn",
    "/r/carporn",
    "/r/PerfectTiming",
    "/r/OldSchoolCool",
    "/r/RoomPorn",
    "/r/Pareidolia",
    "/r/MapPorn",
    "/r/tumblr",
    "/r/techsupportgore",
    "/r/PrettyGirls",
    "/r/itookapicture",
    "/r/todayilearned",
    "/r/science",
    "/r/askscience",
    "/r/space",
    "/r/AskHistorians",
    "/r/YouShouldKnow",
    "/r/explainlikeimfive",
    "/r/trees",
    "/r/MakeupAddiction",
    "/r/cats",
    "/r/LifeProTips",
    "/r/RedditLaqueristas",
    "/r/Random_Acts_Of_Amazon",
    "/r/food",
    "/r/guns",
    "/r/tattoos",
    "/r/corgi",
    "/r/teenagers",
    "/r/GetMotivated",
    "/r/motorcycles",
    "/r/sex",
    "/r/progresspics",
    "/r/DIY",
    "/r/bicycling",
    "/r/Fitness",
    "/r/lifehacks",
    "/r/longboarding",
    "/r/Frugal",
    "/r/drunk",
    "/r/Art",
    "/r/loseit"
]
SUBREDDITS_NSFW = [
    "/r/nsfw",
    "/r/OnOff",
    "/r/nsfwhardcore",
    "/r/Hotchickswithtattoos",
    "/r/randomsexiness",
    "/r/HappyEmbarrassedGirls",
    "/r/suicidegirls",
    "/r/nsfw2",
    "/r/nsfwcosplay",
    "/r/nsfwoutfits",
    "/r/unashamed",
    "/r/Camwhores",
    "/r/TipOfMyPenis",
    "/r/bonermaterial",
    "/r/Shemales",
    "/r/volleyballgirls",
    "/r/passionx",
    "/r/voluptuous",
    "/r/porn",
    "/r/fitgirls",
    "/r/SheLikesItRough",
    "/r/sexyfrex",
    "/r/trashyboners",
    "/r/GirlswithNeonHair",
    "/r/nsfw411",
    "/r/iWantToFuckHer",
    "/r/freeuse",
    "/r/exxxtras",
    "/r/distension",
    "/r/twingirls",
    "/r/ChangingRooms",
    "/r/realgirls",
    "/r/amateur",
    "/r/homemadexxx",
    "/r/AmateurArchives",
    "/r/dirtypenpals",
    "/r/wifesharing",
    "/r/FestivalSluts",
    "/r/hotwife",
    "/r/NSFW_Snapchat",
    "/r/CollegeAmateurs",
    "/r/amateurcumsluts",
    "/r/GoneWild",
    "/r/gonewildcurvy",
    "/r/AsiansGoneWild",
    "/r/GWCouples",
    "/r/GoneWildplus",
    "/r/PetiteGoneWild",
    "/r/gonewildstories",
    "/r/GoneWildTube",
    "/r/treesgonewild",
    "/r/gonewildaudio",
    "/r/workgonewild",
    "/r/GWNerdy",
    "/r/BigBoobsGW",
    "/r/gonemild",
    "/r/altgonewild",
    "/r/gwcumsluts",
    "/r/gonewildcolor",
    "/r/gifsgonewild",
    "/r/analgw",
    "/r/rule34",
    "/r/hentai",
    "/r/rule34_comics",
    "/r/AsianHotties",
    "/r/AsianHotties",
    "/r/AsiansGoneWild",
    "/r/realasians",
    "/r/juicyasians",
    "/r/IndianBabes",
    "/r/NSFW_Japan",
    "/r/ass",
    "/r/girlsinyogapants",
    "/r/asstastic",
    "/r/facedownassup",
    "/r/anal",
    "/r/assinthong",
    "/r/analgw",
    "/r/BDSM",
    "/r/Bondage",
    "/r/blowjobs",
    "/r/lipsthatgrip",
    "/r/boobies",
    "/r/BustyPetite",
    "/r/tinytits",
    "/r/TittyDrop",
    "/r/burstingout",
    "/r/hugeboobs",
    "/r/stacked",
    "/r/boltedontits",
    "/r/BigBoobsGW",
    "/r/boobbounce",
    "/r/boobs",
    "/r/downblouse",
    "/r/celebnsfw",
    "/r/WatchItForThePlot",
    "/r/girlsinyogapants",
    "/r/girlswithglasses",
    "/r/lingerie",
    "/r/stockings",
    "/r/candidfashionpolice",
    "/r/WtSSTaDaMiT",
    "/r/tightdresses",
    "/r/upskirt",
    "/r/cumsluts",
    "/r/GirlsFinishingTheJob",
    "/r/cumfetish",
    "/r/creampies",
    "/r/amateurcumsluts",
    "/r/gonewildcurvy",
    "/r/curvy",
    "/r/gonewildplus",
    "/r/thick",
    "/r/juicyasians",
    "/r/NSFW_GIF",
    "/r/nsfw_gifs",
    "/r/porn_gifs",
    "/r/porninfifteenseconds",
    "/r/CuteModeSlutMode",
    "/r/ginger",
    "/r/redheads",
    "/r/60fpsporn",
    "/r/highresNSFW",
    "/r/NSFW_HTML5",
    "/r/datgap",
    "/r/girlsinyogapants",
    "/r/stockings",
    "/r/lesbians",
    "/r/StraightGirlsPlaying",
    "/r/ladybonersgw",
    "/r/milf",
    "/r/BustyPetite",
    "/r/dirtysmall",
    "/r/petitegonewild",
    "/r/pussy",
    "/r/rearpussy",
    "/r/innie",
    "/r/legalteens",
    "/r/collegesluts",
    "/r/pornvids",
    "/r/nsfw_videos",
    "/r/palegirls",
    "/r/pawg",
    "/r/holdthemoan",
    "/r/O_faces",
    "/r/grool",
    "/r/jilling",
    "/r/gettingherselfoff",
    "/r/quiver"
]
DOMAINS = [
    ".ac",
    ".ad",
    ".biz",
    ".by",
    ".com",
    ".edu",
    ".gov",
    ".in",
    ".info",
    ".int",
    ".io",
    ".is",
    ".mil",
    ".name",
    ".net",
    ".org",
    ".place",
    ".pw",
    ".ru",
    ".ua",
    ".uk",
    ".us",
    ".uk"
]
EMAIL_DOMAINS = (
    "@gmail.com",
    "@yandex.com",
    "@yahoo.com",
    "@live.com",
    "@outlook.com"
)
EMOJI = (
    ":bowtie:",
    ":smile:",
    ":laughing:",
    ":blush:",
    ":smiley:",
    ":relaxed:",
    ":smirk:",
    ":heart_eyes:",
    ":kissing_heart:",
    ":kissing_closed_eyes:",
    ":flushed:",
    ":relieved:",
    ":satisfied:",
    ":grin:",
    ":wink:",
    ":stuck_out_tongue_winking_eye:",
    ":stuck_out_tongue_closed_eyes:",
    ":grinning:",
    ":kissing:",
    ":kissing_smiling_eyes:",
    ":stuck_out_tongue:",
    ":sleeping:",
    ":worried:",
    ":frowning:",
    ":anguished:",
    ":open_mouth:",
    ":grimacing:",
    ":confused:",
    ":hushed:",
    ":expressionless:",
    ":unamused:",
    ":sweat_smile:",
    ":sweat:",
    ":disappointed_relieved:",
    ":weary:",
    ":pensive:",
    ":disappointed:",
    ":confounded:",
    ":fearful:",
    ":cold_sweat:",
    ":persevere:",
    ":cry:",
    ":sob:",
    ":joy:",
    ":astonished:",
    ":scream:",
    ":neckbeard:",
    ":tired_face:",
    ":angry:",
    ":rage:",
    ":triumph:",
    ":sleepy:",
    ":yum:",
    ":mask:",
    ":sunglasses:",
    ":dizzy_face:",
    ":imp:",
    ":smiling_imp:",
    ":neutral_face:",
    ":no_mouth:",
    ":innocent:",
    ":alien:",
    ":yellow_heart:",
    ":blue_heart:",
    ":purple_heart:",
    ":heart:",
    ":green_heart:",
    ":broken_heart:",
    ":heartbeat:",
    ":heartpulse:",
    ":two_hearts:",
    ":revolving_hearts:",
    ":cupid:",
    ":sparkling_heart:",
    ":sparkles:",
    ":star:",
    ":star2:",
    ":dizzy:",
    ":boom:",
    ":collision:",
    ":anger:",
    ":exclamation:",
    ":question:",
    ":grey_exclamation:",
    ":grey_question:",
    ":zzz:",
    ":dash:",
    ":sweat_drops:",
    ":notes:",
    ":musical_note:",
    ":fire:",
    ":hankey:",
    ":poop:",
    ":shit:",
    ":+1:",
    ":thumbsup:",
    ":-1:",
    ":thumbsdown:",
    ":ok_hand:",
    ":punch:",
    ":facepunch:",
    ":fist:",
    ":v:",
    ":wave:",
    ":hand:",
    ":raised_hand:",
    ":open_hands:",
    ":point_up:",
    ":point_down:",
    ":point_left:",
    ":point_right:",
    ":raised_hands:",
    ":pray:",
    ":point_up_2:",
    ":clap:",
    ":muscle:",
    ":metal:",
    ":fu:",
    ":runner:",
    ":running:",
    ":couple:",
    ":family:",
    ":two_men_holding_hands:",
    ":two_women_holding_hands:",
    ":dancer:",
    ":dancers:",
    ":ok_woman:",
    ":no_good:",
    ":information_desk_person:",
    ":raising_hand:",
    ":bride_with_veil:",
    ":person_with_pouting_face:",
    ":person_frowning:",
    ":bow:",
    ":couplekiss:",
    ":couple_with_heart:",
    ":massage:",
    ":haircut:",
    ":nail_care:",
    ":boy:",
    ":girl:",
    ":woman:",
    ":man:",
    ":baby:",
    ":older_woman:",
    ":older_man:",
    ":person_with_blond_hair:",
    ":man_with_gua_pi_mao:",
    ":man_with_turban:",
    ":construction_worker:",
    ":cop:",
    ":angel:",
    ":princess:",
    ":smiley_cat:",
    ":smile_cat:",
    ":heart_eyes_cat:",
    ":kissing_cat:",
    ":smirk_cat:",
    ":scream_cat:",
    ":crying_cat_face:",
    ":joy_cat:",
    ":pouting_cat:",
    ":japanese_ogre:",
    ":japanese_goblin:",
    ":see_no_evil:",
    ":hear_no_evil:",
    ":speak_no_evil:",
    ":guardsman:",
    ":skull:",
    ":feet:",
    ":lips:",
    ":kiss:",
    ":droplet:",
    ":ear:",
    ":eyes:",
    ":nose:",
    ":tongue:",
    ":love_letter:",
    ":bust_in_silhouette:",
    ":busts_in_silhouette:",
    ":speech_balloon:",
    ":thought_balloon:",
    ":feelsgood:",
    ":finnadie:",
    ":goberserk:",
    ":godmode:",
    ":hurtrealbad:",
    ":rage1:",
    ":rage2:",
    ":rage3:",
    ":rage4:",
    ":suspect:",
    ":trollface:",
    ":sunny:",
    ":umbrella:",
    ":cloud:",
    ":snowflake:",
    ":snowman:",
    ":zap:",
    ":cyclone:",
    ":foggy:",
    ":ocean:",
    ":cat:",
    ":dog:",
    ":mouse:",
    ":hamster:",
    ":rabbit:",
    ":wolf:",
    ":frog:",
    ":tiger:",
    ":koala:",
    ":bear:",
    ":pig:",
    ":pig_nose:",
    ":cow:",
    ":boar:",
    ":monkey_face:",
    ":monkey:",
    ":horse:",
    ":racehorse:",
    ":camel:",
    ":sheep:",
    ":elephant:",
    ":panda_face:",
    ":snake:",
    ":bird:",
    ":baby_chick:",
    ":hatched_chick:",
    ":hatching_chick:",
    ":chicken:",
    ":penguin:",
    ":turtle:",
    ":bug:",
    ":honeybee:",
    ":ant:",
    ":beetle:",
    ":snail:",
    ":octopus:",
    ":tropical_fish:",
    ":fish:",
    ":whale:",
    ":whale2:",
    ":dolphin:",
    ":cow2:",
    ":ram:",
    ":rat:",
    ":water_buffalo:",
    ":tiger2:",
    ":rabbit2:",
    ":dragon:",
    ":goat:",
    ":rooster:",
    ":dog2:",
    ":pig2:",
    ":mouse2:",
    ":ox:",
    ":dragon_face:",
    ":blowfish:",
    ":crocodile:",
    ":dromedary_camel:",
    ":leopard:",
    ":cat2:",
    ":poodle:",
    ":paw_prints:",
    ":bouquet:",
    ":cherry_blossom:",
    ":tulip:",
    ":four_leaf_clover:",
    ":rose:",
    ":sunflower:",
    ":hibiscus:",
    ":maple_leaf:",
    ":leaves:",
    ":fallen_leaf:",
    ":herb:",
    ":mushroom:",
    ":cactus:",
    ":palm_tree:",
    ":evergreen_tree:",
    ":deciduous_tree:",
    ":chestnut:",
    ":seedling:",
    ":blossom:",
    ":ear_of_rice:",
    ":shell:",
    ":globe_with_meridians:",
    ":sun_with_face:",
    ":full_moon_with_face:",
    ":new_moon_with_face:",
    ":new_moon:",
    ":waxing_crescent_moon:",
    ":first_quarter_moon:",
    ":waxing_gibbous_moon:",
    ":full_moon:",
    ":waning_gibbous_moon:",
    ":last_quarter_moon:",
    ":waning_crescent_moon:",
    ":last_quarter_moon_with_face:",
    ":first_quarter_moon_with_face:",
    ":crescent_moon:",
    ":earth_africa:",
    ":earth_americas:",
    ":earth_asia:",
    ":volcano:",
    ":milky_way:",
    ":partly_sunny:",
    ":octocat:",
    ":squirrel:",
    ":bamboo:",
    ":gift_heart:",
    ":dolls:",
    ":school_satchel:",
    ":mortar_board:",
    ":flags:",
    ":fireworks:",
    ":sparkler:",
    ":wind_chime:",
    ":rice_scene:",
    ":jack_o_lantern:",
    ":ghost:",
    ":santa:",
    ":christmas_tree:",
    ":gift:",
    ":bell:",
    ":no_bell:",
    ":tanabata_tree:",
    ":tada:",
    ":confetti_ball:",
    ":balloon:",
    ":crystal_ball:",
    ":cd:",
    ":dvd:",
    ":floppy_disk:",
    ":camera:",
    ":video_camera:",
    ":movie_camera:",
    ":computer:",
    ":tv:",
    ":iphone:",
    ":phone:",
    ":telephone:",
    ":telephone_receiver:",
    ":pager:",
    ":fax:",
    ":minidisc:",
    ":vhs:",
    ":sound:",
    ":speaker:",
    ":mute:",
    ":loudspeaker:",
    ":mega:",
    ":hourglass:",
    ":hourglass_flowing_sand:",
    ":alarm_clock:",
    ":watch:",
    ":radio:",
    ":satellite:",
    ":loop:",
    ":mag:",
    ":mag_right:",
    ":unlock:",
    ":lock:",
    ":lock_with_ink_pen:",
    ":closed_lock_with_key:",
    ":key:",
    ":bulb:",
    ":flashlight:",
    ":high_brightness:",
    ":low_brightness:",
    ":electric_plug:",
    ":battery:",
    ":calling:",
    ":email:",
    ":mailbox:",
    ":postbox:",
    ":bath:",
    ":bathtub:",
    ":shower:",
    ":toilet:",
    ":wrench:",
    ":nut_and_bolt:",
    ":hammer:",
    ":seat:",
    ":moneybag:",
    ":yen:",
    ":dollar:",
    ":pound:",
    ":euro:",
    ":credit_card:",
    ":money_with_wings:",
    ":e-mail:",
    ":inbox_tray:",
    ":outbox_tray:",
    ":envelope:",
    ":incoming_envelope:",
    ":postal_horn:",
    ":mailbox_closed:",
    ":mailbox_with_mail:",
    ":mailbox_with_no_mail:",
    ":package:",
    ":door:",
    ":smoking:",
    ":bomb:",
    ":gun:",
    ":hocho:",
    ":pill:",
    ":syringe:",
    ":page_facing_up:",
    ":page_with_curl:",
    ":bookmark_tabs:",
    ":bar_chart:",
    ":chart_with_upwards_trend:",
    ":chart_with_downwards_trend:",
    ":scroll:",
    ":clipboard:",
    ":calendar:",
    ":date:",
    ":card_index:",
    ":file_folder:",
    ":open_file_folder:",
    ":scissors:",
    ":pushpin:",
    ":paperclip:",
    ":black_nib:",
    ":pencil2:",
    ":straight_ruler:",
    ":triangular_ruler:",
    ":closed_book:",
    ":green_book:",
    ":blue_book:",
    ":orange_book:",
    ":notebook:",
    ":notebook_with_decorative_cover:",
    ":ledger:",
    ":books:",
    ":bookmark:",
    ":name_badge:",
    ":microscope:",
    ":telescope:",
    ":newspaper:",
    ":football:",
    ":basketball:",
    ":soccer:",
    ":baseball:",
    ":tennis:",
    ":8ball:",
    ":rugby_football:",
    ":bowling:",
    ":golf:",
    ":mountain_bicyclist:",
    ":bicyclist:",
    ":horse_racing:",
    ":snowboarder:",
    ":swimmer:",
    ":surfer:",
    ":ski:",
    ":spades:",
    ":hearts:",
    ":clubs:",
    ":diamonds:",
    ":gem:",
    ":ring:",
    ":trophy:",
    ":musical_score:",
    ":musical_keyboard:",
    ":violin:",
    ":space_invader:",
    ":video_game:",
    ":black_joker:",
    ":flower_playing_cards:",
    ":game_die:",
    ":dart:",
    ":mahjong:",
    ":clapper:",
    ":memo:",
    ":pencil:",
    ":book:",
    ":art:",
    ":microphone:",
    ":headphones:",
    ":trumpet:",
    ":saxophone:",
    ":guitar:",
    ":shoe:",
    ":sandal:",
    ":high_heel:",
    ":lipstick:",
    ":boot:",
    ":shirt:",
    ":tshirt:",
    ":necktie:",
    ":womans_clothes:",
    ":dress:",
    ":running_shirt_with_sash:",
    ":jeans:",
    ":kimono:",
    ":bikini:",
    ":ribbon:",
    ":tophat:",
    ":crown:",
    ":womans_hat:",
    ":mans_shoe:",
    ":closed_umbrella:",
    ":briefcase:",
    ":handbag:",
    ":pouch:",
    ":purse:",
    ":eyeglasses:",
    ":fishing_pole_and_fish:",
    ":coffee:",
    ":tea:",
    ":sake:",
    ":baby_bottle:",
    ":beer:",
    ":beers:",
    ":cocktail:",
    ":tropical_drink:",
    ":wine_glass:",
    ":fork_and_knife:",
    ":pizza:",
    ":hamburger:",
    ":fries:",
    ":poultry_leg:",
    ":meat_on_bone:",
    ":spaghetti:",
    ":curry:",
    ":fried_shrimp:",
    ":bento:",
    ":sushi:",
    ":fish_cake:",
    ":rice_ball:",
    ":rice_cracker:",
    ":rice:",
    ":ramen:",
    ":stew:",
    ":oden:",
    ":dango:",
    ":egg:",
    ":bread:",
    ":doughnut:",
    ":custard:",
    ":icecream:",
    ":ice_cream:",
    ":shaved_ice:",
    ":birthday:",
    ":cake:",
    ":cookie:",
    ":chocolate_bar:",
    ":candy:",
    ":lollipop:",
    ":honey_pot:",
    ":apple:",
    ":green_apple:",
    ":tangerine:",
    ":lemon:",
    ":cherries:",
    ":grapes:",
    ":watermelon:",
    ":strawberry:",
    ":peach:",
    ":melon:",
    ":banana:",
    ":pear:",
    ":pineapple:",
    ":sweet_potato:",
    ":eggplant:",
    ":tomato:",
    ":corn:",
    ":house:",
    ":house_with_garden:",
    ":school:",
    ":office:",
    ":post_office:",
    ":hospital:",
    ":bank:",
    ":convenience_store:",
    ":love_hotel:",
    ":hotel:",
    ":wedding:",
    ":elizabeth:",
    ":department_store:",
    ":european_post_office:",
    ":city_sunrise:",
    ":city_sunset:",
    ":japanese_castle:",
    ":european_castle:",
    ":tent:",
    ":factory:",
    ":tokyo_tower:",
    ":japan:",
    ":mount_fuji:",
    ":sunrise_over_mountains:",
    ":sunrise:",
    ":stars:",
    ":statue_of_liberty:",
    ":bridge_at_night:",
    ":carousel_horse:",
    ":rainbow:",
    ":ferris_wheel:",
    ":fountain:",
    ":roller_coaster:",
    ":ship:",
    ":speedboat:",
    ":boat:",
    ":sailboat:",
    ":rowboat:",
    ":anchor:",
    ":rocket:",
    ":airplane:",
    ":helicopter:",
    ":steam_locomotive:",
    ":tram:",
    ":mountain_railway:",
    ":bike:",
    ":aerial_tramway:",
    ":suspension_railway:",
    ":mountain_cableway:",
    ":tractor:",
    ":blue_car:",
    ":oncoming_automobile:",
    ":car:",
    ":red_car:",
    ":taxi:",
    ":oncoming_taxi:",
    ":articulated_lorry:",
    ":bus:",
    ":oncoming_bus:",
    ":rotating_light:",
    ":police_car:",
    ":oncoming_police_car:",
    ":fire_engine:",
    ":ambulance:",
    ":minibus:",
    ":truck:",
    ":train:",
    ":station:",
    ":train2:",
    ":bullettrain_front:",
    ":bullettrain_side:",
    ":light_rail:",
    ":monorail:",
    ":railway_car:",
    ":trolleybus:",
    ":ticket:",
    ":fuelpump:",
    ":vertical_traffic_light:",
    ":traffic_light:",
    ":warning:",
    ":construction:",
    ":beginner:",
    ":atm:",
    ":slot_machine:",
    ":busstop:",
    ":barber:",
    ":hotsprings:",
    ":checkered_flag:",
    ":crossed_flags:",
    ":izakaya_lantern:",
    ":moyai:",
    ":circus_tent:",
    ":performing_arts:",
    ":round_pushpin:",
    ":triangular_flag_on_post:",
    ":jp:",
    ":kr:",
    ":cn:",
    ":us:",
    ":fr:",
    ":es:",
    ":it:",
    ":ru:",
    ":gb:",
    ":uk:",
    ":de:",
    ":one:",
    ":two:",
    ":three:",
    ":four:",
    ":five:",
    ":six:",
    ":seven:",
    ":eight:",
    ":nine:",
    ":keycap_ten:",
    ":1234:",
    ":zero:",
    ":hash:",
    ":symbols:",
    ":arrow_backward:",
    ":arrow_down:",
    ":arrow_forward:",
    ":arrow_left:",
    ":capital_abcd:",
    ":abcd:",
    ":abc:",
    ":arrow_lower_left:",
    ":arrow_lower_right:",
    ":arrow_right:",
    ":arrow_up:",
    ":arrow_upper_left:",
    ":arrow_upper_right:",
    ":arrow_double_down:",
    ":arrow_double_up:",
    ":arrow_down_small:",
    ":arrow_heading_down:",
    ":arrow_heading_up:",
    ":leftwards_arrow_with_hook:",
    ":arrow_right_hook:",
    ":left_right_arrow:",
    ":arrow_up_down:",
    ":arrow_up_small:",
    ":arrows_clockwise:",
    ":arrows_counterclockwise:",
    ":rewind:",
    ":fast_forward:",
    ":information_source:",
    ":ok:",
    ":twisted_rightwards_arrows:",
    ":repeat:",
    ":repeat_one:",
    ":new:",
    ":top:",
    ":up:",
    ":cool:",
    ":free:",
    ":ng:",
    ":cinema:",
    ":koko:",
    ":signal_strength:",
    ":u5272:",
    ":u5408:",
    ":u55b6:",
    ":u6307:",
    ":u6708:",
    ":u6709:",
    ":u6e80:",
    ":u7121:",
    ":u7533:",
    ":u7a7a:",
    ":u7981:",
    ":sa:",
    ":restroom:",
    ":mens:",
    ":womens:",
    ":baby_symbol:",
    ":no_smoking:",
    ":parking:",
    ":wheelchair:",
    ":metro:",
    ":baggage_claim:",
    ":accept:",
    ":wc:",
    ":potable_water:",
    ":put_litter_in_its_place:",
    ":secret:",
    ":congratulations:",
    ":m:",
    ":passport_control:",
    ":left_luggage:",
    ":customs:",
    ":ideograph_advantage:",
    ":cl:",
    ":sos:",
    ":id:",
    ":no_entry_sign:",
    ":underage:",
    ":no_mobile_phones:",
    ":do_not_litter:",
    ":non-potable_water:",
    ":no_bicycles:",
    ":no_pedestrians:",
    ":children_crossing:",
    ":no_entry:",
    ":eight_spoked_asterisk:",
    ":sparkle:",
    ":eight_pointed_black_star:",
    ":heart_decoration:",
    ":vs:",
    ":vibration_mode:",
    ":mobile_phone_off:",
    ":chart:",
    ":currency_exchange:",
    ":aries:",
    ":taurus:",
    ":gemini:",
    ":cancer:",
    ":leo:",
    ":virgo:",
    ":libra:",
    ":scorpius:",
    ":sagittarius:",
    ":capricorn:",
    ":aquarius:",
    ":pisces:",
    ":ophiuchus:",
    ":six_pointed_star:",
    ":negative_squared_cross_mark:",
    ":a:",
    ":b:",
    ":ab:",
    ":o2:",
    ":diamond_shape_with_a_dot_inside:",
    ":recycle:",
    ":end:",
    ":back:",
    ":on:",
    ":soon:",
    ":clock1:",
    ":clock130:",
    ":clock10:",
    ":clock1030:",
    ":clock11:",
    ":clock1130:",
    ":clock12:",
    ":clock1230:",
    ":clock2:",
    ":clock230:",
    ":clock3:",
    ":clock330:",
    ":clock4:",
    ":clock430:",
    ":clock5:",
    ":clock530:",
    ":clock6:",
    ":clock630:",
    ":clock7:",
    ":clock730:",
    ":clock8:",
    ":clock830:",
    ":clock9:",
    ":clock930:",
    ":heavy_dollar_sign:",
    ":copyright:",
    ":registered:",
    ":tm:",
    ":x:",
    ":heavy_exclamation_mark:",
    ":bangbang:",
    ":interrobang:",
    ":o:",
    ":heavy_multiplication_x:",
    ":heavy_plus_sign:",
    ":heavy_minus_sign:",
    ":heavy_division_sign:",
    ":white_flower:",
    ":100:",
    ":heavy_check_mark:",
    ":ballot_box_with_check:",
    ":radio_button:",
    ":link:",
    ":curly_loop:",
    ":wavy_dash:",
    ":part_alternation_mark:",
    ":trident:",
    ":black_small_square:",
    ":white_small_square:",
    ":black_medium_small_square:",
    ":white_medium_small_square:",
    ":black_medium_square:",
    ":white_medium_square:",
    ":black_large_square:",
    ":white_large_square:",
    ":white_check_mark:",
    ":black_square_button:",
    ":white_square_button:",
    ":black_circle:",
    ":white_circle:",
    ":red_circle:",
    ":large_blue_circle:",
    ":large_blue_diamond:",
    ":large_orange_diamond:",
    ":small_blue_diamond:",
    ":small_orange_diamond:",
    ":small_red_triangle:",
    ":small_red_triangle_down:",
    ":shipit:"
)
USER_AGENTS = [
    "Mozilla/5.0 (Linux; Android 6.0.1; SM-G920V Build/MMB29K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/52.0.2743.98 Mobile Safari/537.36",
    "Mozilla/5.0 (Linux; Android 5.1.1; SM-G928X Build/LMY47X) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/47.0.2526.83 Mobile Safari/537.36",
    "Mozilla/5.0 (Linux; Android 6.0.1; Nexus 6P Build/MMB29P) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/47.0.2526.83 Mobile Safari/537.36",
    "Mozilla/5.0 (Linux; Android 6.0.1; E6653 Build/32.2.A.0.253) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/52.0.2743.98 Mobile Safari/537.36",
    "Mozilla/5.0 (Linux; Android 6.0; HTC One M9 Build/MRA58K) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/52.0.2743.98 Mobile Safari/537.36",
    "Mozilla/5.0 (Linux; Android 6.0.1; SGP771 Build/32.2.A.0.253; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/52.0.2743.98 Safari/537.36",
    "Mozilla/5.0 (Linux; Android 4.4.3; KFTHWI Build/KTU84M) AppleWebKit/537.36 (KHTML, like Gecko) Silk/47.1.79 like Chrome/47.0.2526.80 Safari/537.36",
    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/42.0.2311.135 Safari/537.36 Edge/12.246",
    "Mozilla/5.0 (X11; CrOS x86_64 8172.45.0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/51.0.2704.64 Safari/537.36",
    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_2) AppleWebKit/601.3.9 (KHTML, like Gecko) Version/9.0.2 Safari/601.3.9",
    "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/47.0.2526.111 Safari/537.36",
    "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:15.0) Gecko/20100101 Firefox/15.0.1",
    "Mozilla/5.0 (Linux; <Android Version>; <Build Tag etc.>) AppleWebKit/<WebKit Rev>(KHTML, like Gecko) Chrome/<Chrome Rev> Safari/<WebKit Rev>",
    "Mozilla/5.0 (Linux; Android 4.0.4; Galaxy Nexus Build/IMM76B) AppleWebKit/535.19 (KHTML, like Gecko) Chrome/18.0.1025.133 Mobile Safari/535.19",
    "Mozilla/5.0 (Linux; U; Android 4.1.1; en-gb; Build/KLP) AppleWebKit/534.30 (KHTML, like Gecko) Version/4.0 Safari/534.30"
]
HASHTAGS = {
    "general": [
        "#fun",
        "#instalike",
        "#me",
        "#l4l",
        "#love",
        "#picoftheday",
        "#follow",
        "#instagramanet",
        "#likeforlike",
        "#follow4follow",
        "#happy",
        "#smile",
        "#instatag",
        "#photooftheday",
        "#friends",
        "#followme",
        "#fashion",
        "#instadaily",
        "#summer",
        "#amazing",
        "#like4like",
        "#beautiful",
        "#swag",
        "#igers",
        "#bestoftheday",
        "#tflers",
        "#instagood",
        "#selfie",
        "#cute",
        "#repost",
        "#all_shots",
        "#eyes #pretty",
        "#night",
        "#followforfollow",
        "#lol",
        "#iphoneonly",
        "#instagramanet",
        "#instafollow",
        "#tweegram",
        "#l4l",
        "#my",
        "#party",
        "#style",
        "#fitness",
        "#instatag",
        "#bored",
        "#life",
        "#girls",
        "#cool",
        "#nature",
        "#instamood",
        "#funny",
        "#instacool",
        "#f4f",
        "#instago",
        "#nofilter",
        "#hot",
        "#tbt",
        "#doubletap",
        "#harrystyles",
        "#model",
        "#instagramhub",
        "#home",
        "#instalove",
        "#instatag",
        "#instapic",
        "#picstitch",
        "#awesome",
        "#beauty",
        "#day",
        "#photo",
        "#pink",
        "#tired",
        "#followback",
        "#igdaily",
        "#loveit",
        "#makeup",
        "#instagramanet",
        "#instaphoto",
        "#shoutout",
        "#iphonesia",
        "#20likes",
        "#throwback",
        "#throwbackthursday",
        "#instagramers",
        "#colorful"
    ],
    "girls": [
        "#hot",
        "#girlsnight",
        "#ladiesnight",
        "#follow",
        "#beautiful",
        "#lady",
        "#woman",
        "#instagood",
        "#instalike",
        "#girl",
        "#girlswholikegirls",
        "#followme",
        "#russianwomen",
        "#me",
        "#followback",
        "#ladies",
        "#instagirls",
        "#girlsgeneration",
        "#girlsday",
        "#girlsbestfriend",
        '#sexy',
        "#swag",
        "#instadaily",
        "#womencrushwednesday",
        "#instagramanet",
        "#womancrushwednesday",
        "#love",
        "#girls",
        "#women",
        '#teen',
        "#instatag",
        "#cute"
    ],
    "boys": [
        "#lover",
        "#boyfriend",
        "#instag",
        "#love",
        "#men",
        "#guys",
        "#me",
        "#guy",
        "#me",
        "#dear",
        "#instagramanet",
        "#followforfollow",
        "#photooftheday",
        "#lovers",
        "#hot",
        "#follow",
        "#handsome",
        "#followhim",
        "#boy",
        "#follow4follow",
        "#man",
        "#love",
        "#likes4likes",
        "#dude",
        "#boys",
        "#likesforlikes",
        "#followback",
        "#swag"
    ],
    "love": [
        "#forever",
        "#relationships",
        "#romance",
        "#hug",
        "#relationship",
        "#hugs",
        "#girlfriend",
        "#lovehim",
        "#kiss",
        "#boyfriend",
        "#kisses",
        "#bff",
        "#hearts",
        "#couples",
        "#adorable",
        "#couple",
        "#bf",
        "#russianwomen",
        "@instagramanet",
        "#heart",
        "#girlfriends",
        "#amour",
        "#loveher",
        "#gf",
        "#love",
        "#together",
        "#instalove",
        "#loves",
        "#instagramanet"
    ],
    "friends": [
        "#funny",
        "#friendsforlife",
        "#smile",
        "#bestfriend",
        "#friendsoftheworld",
        "#fun",
        "#party",
        "#goodtime",
        "#myfriends",
        "#instagramanet",
        "#friendsgiving",
        "#bestfriends",
        "#goodtimes",
        "#friends4life",
        "#friendship",
        "#myfriend",
        "#forever",
        "#goodfriends",
        "#awesome",
        "#friendsforever",
        "#friends4ever",
        "#friendships",
        "#memories",
        "#friendshipismagic",
        "#lovethem",
        "#instatag",
        "#friends",
        "#bestfriendsforever",
        "#live"
    ],
    "family": [
        "#familyfirst",
        "#familyphoto",
        "#dad",
        "#instatag",
        "#familyovereverything",
        "#familyforever",
        "#fam",
        "#familytrip",
        "#familydinner",
        "#family1st",
        "#brother",
        "#family",
        "#familyvacation",
        "#familyiseverything",
        "#familytime",
        "#mom",
        "#sister",
        "#familyfun",
        "#familyguy",
        "#bro",
        "#sisters",
        "#familyreunion",
        "#brothers",
        "#familynight",
        "#familyisforever",
        "#familyday",
        "#familylove",
        "#instagramanet",
        "#sis"
    ],
    "nature": [
        "#mothernature",
        "#natureporn",
        "#nature_shooters",
        "#beautifulday",
        "#nature_perfection",
        "#nice",
        "#nature",
        "#sunrise",
        "#day",
        "#sky",
        "#happylife",
        "#instatag",
        "#natureza",
        "#weather",
        "#naturehippys",
        "#naturelover",
        "#sun",
        "#tree",
        "#real",
        "#pretty",
        "#outdoors",
        "#photooftheday",
        "#instagramanet",
        "#blue",
        "#natureaddict",
        "#sunset",
        "#naturelovers",
        "#beautiful"
    ],
    'travel': [
        "#travel",
        "#traveling",
        "#TagsForLikes",
        "#TFLers",
        "#vacation",
        "#visiting",
        "#instatravel",
        "#instago",
        "#instagood",
        "#trip",
        "#holiday",
        "#photooftheday",
        "#fun",
        "#travelling",
        "#tourism",
        "#tourist",
        "#instapassport",
        "#instatraveling",
        "#mytravelgram",
        "#travelgram",
        "#travelingram",
        "#igtravel"
    ],
    'cars': [
        "#cars",
        "#car",
        "#ride",
        "#drive",
        "#TagsForLikes",
        "#driver",
        "#sportscar",
        "#vehicle",
        "#vehicles",
        "#street",
        "#road",
        "#freeway",
        "#highway",
        "#sportscars",
        "#exotic",
        "#exoticcar",
        "#exoticcars",
        "#speed",
        "#tire",
        "#tires",
        "#spoiler",
        "#muffler",
        "#race",
        "#racing",
        "#wheel",
        "#wheels",
        "#rim",
        "#rims",
        "#engine",
        "#horsepower"
    ],
    'sport': [
        "#sports",
        "#sport",
        "#active",
        "#fit",
        "#TagsForLikes",
        "#football",
        "#soccer",
        "#basketball",
        "#futball",
        "#ball",
        "#gametime",
        "#fun",
        "#game",
        "#games",
        "#crowd",
        "#fans",
        "#play",
        "#playing",
        "#player",
        "#field",
        "#green",
        "#grass",
        "#score",
        "#goal",
        "#action",
        "#kick",
        "#throw",
        "#pass",
        "#win",
        "#winning"
    ],
    'tumblr': [
        "#tumblr",
        "#tumblrlife",
        "#tumblrphoto",
        "#TagsForLikes",
        "#tumblrphotos",
        "#tumblrlove",
        "#tumblrpic",
        "#tumblrpics",
        "#tumblrposts",
        "#tumblrpost",
        "#perfect",
        "#tumblrpicture",
        "#tumblrpictures",
        "#tumblrthings",
        "#tumblrstuff",
        "#instatumblr",
        "#beautiful",
        "#love",
        "#TagsForLikes",
        "#tumblrgram"
    ]
}

# PATH
FOLDERS = (
    'Development',
    'Downloads',
    'Documents',
    'Music',
    'Video',
    'Work',
    'Pictures',
    'Desktop',
    'Study'
)
PROJECT_NAMES = [
    "aardonyx",
    "abelisaurus",
    "achelousaurus",
    "achillobator",
    "acrocanthosaurus",
    "aegyptosaurus",
    "afrovenator",
    "agilisaurus",
    "alamosaurus",
    "albertaceratops",
    "albertosaurus",
    "alectrosaurus",
    "alioramus",
    "allosaurus",
    "alvarezsaurus",
    "amargasaurus",
    "ammosaurus",
    "ampelosaurus",
    "amygdalodon",
    "anatotitan",
    "anchiceratops",
    "anchisaurus",
    "ankylosaurus",
    "anserimimus",
    "antarctopelta",
    "antarctosaurus",
    "apatosaurus",
    "aragosaurus",
    "aralosaurus",
    "archaeoceratops",
    "archaeopteryx",
    "archaeornithomimus",
    "argentinosaurus",
    "arrhinoceratops",
    "atlascopcosaurus",
    "aucasaurus",
    "austrosaurus",
    "avaceratops",
    "avalonia",
    "avimimus",
    "azendohsaurus",
    "bactrosaurus",
    "bagaceratops",
    "bambiraptor",
    "barapasaurus",
    "barosaurus",
    "baryonyx",
    "becklespinax",
    "beipiaosaurus",
    "bellusaurus",
    "borogovia",
    "brachiosaurus",
    "brachyceratops",
    "bugenasaura",
    "buitreraptor",
    "camarasaurus",
    "camptosaurus",
    "carnotaurus",
    "caudipteryx",
    "cedarpelta",
    "centrosaurus",
    "ceratosaurus",
    "cetiosauriscus",
    "cetiosaurus",
    "chaoyangsaurus",
    "chasmosaurus",
    "chialingosaurus",
    "chindesaurus",
    "chinshakiangosaurus",
    "chirostenotes",
    "chubutisaurus",
    "chungkingosaurus",
    "citipati",
    "coelophysis",
    "coelurus",
    "coloradisaurus",
    "compsognathus",
    "conchoraptor",
    "confuciusornis",
    "corythosaurus",
    "cryolophosaurus",
    "dacentrurus",
    "daspletosaurus",
    "datousaurus",
    "deinocheirus",
    "deinonychus",
    "deltadromeus",
    "diceratops",
    "dicraeosaurus",
    "dilophosaurus",
    "diplodocus",
    "dracorex",
    "dravidosaurus",
    "dromaeosaurus",
    "dromiceiomimus",
    "dryosaurus",
    "dryptosaurus",
    "dubreuillosaurus",
    "edmontonia",
    "edmontosaurus",
    "einiosaurus",
    "elaphrosaurus",
    "emausaurus",
    "eolambia",
    "eoraptor",
    "eotyrannus",
    "equijubus",
    "erketu",
    "erlikosaurus",
    "euhelopus",
    "euoplocephalus",
    "europasaurus",
    "euskelosaurus",
    "eustreptospondylus",
    "fukuiraptor",
    "fukuisaurus",
    "gallimimus",
    "gargoyleosaurus",
    "garudimimus",
    "gasosaurus",
    "gasparinisaura",
    "gastonia",
    "giganotosaurus",
    "gilmoreosaurus",
    "giraffatitan",
    "gobisaurus",
    "gorgosaurus",
    "goyocephale",
    "graciliceratops",
    "gryposaurus",
    "guaibasaurus",
    "guanlong",
    "hadrosaurus",
    "hagryphus",
    "haplocanthosaurus",
    "harpymimus",
    "herrerasaurus",
    "hesperosaurus",
    "heterodontosaurus",
    "homalocephale",
    "huayangosaurus",
    "hylaeosaurus",
    "hypacrosaurus",
    "hypselosaurus",
    "hypsilophodon",
    "iguanodon",
    "indosuchus",
    "ingenia",
    "irritator",
    "isisaurus",
    "janenschia",
    "jaxartosaurus",
    "jingshanosaurus",
    "jinzhousaurus",
    "jobaria",
    "juravenator",
    "kentrosaurus",
    "khaan",
    "kotasaurus",
    "kritosaurus",
    "lamaceratops",
    "lambeosaurus",
    "lapparentosaurus",
    "leaellynasaura",
    "leptoceratops",
    "lesothosaurus",
    "lexovisaurus",
    "liaoceratops",
    "liaoxiornis",
    "ligabuesaurus",
    "liliensternus",
    "lophorhothon",
    "lophostropheus",
    "lufengosaurus",
    "lurdusaurus",
    "lycorhinus",
    "magyarosaurus",
    "maiasaura",
    "majungatholus",
    "malawisaurus",
    "mamenchisaurus",
    "mapusaurus",
    "marshosaurus",
    "masiakasaurus",
    "massospondylus",
    "maxakalisaurus",
    "megalosaurus",
    "melanorosaurus",
    "metriacanthosaurus",
    "microceratops",
    "micropachycephalosaurus",
    "microraptor",
    "minmi",
    "monolophosaurus",
    "mononykus",
    "mussaurus",
    "muttaburrasaurus",
    "nanotyrannus",
    "nanshiungosaurus",
    "nemegtosaurus",
    "neovenator",
    "neuquenosaurus",
    "nigersaurus",
    "nipponosaurus",
    "noasaurus",
    "nodosaurus",
    "nomingia",
    "nothronychus",
    "nqwebasaurus",
    "omeisaurus",
    "ornitholestes",
    "ornithomimus",
    "orodromeus",
    "oryctodromeus",
    "othnielia",
    "ouranosaurus",
    "oviraptor",
    "rebbachisaurus",
    "rhabdodon",
    "rhoetosaurus",
    "rinchenia",
    "riojasaurus",
    "rugops",
    "saichania",
    "saltasaurus",
    "saltopus",
    "sarcosaurus",
    "saurolophus",
    "sauropelta",
    "saurophaganax",
    "saurornithoides",
    "scelidosaurus",
    "scutellosaurus",
    "secernosaurus",
    "segisaurus",
    "segnosaurus",
    "seismosaurus",
    "shamosaurus",
    "shanag",
    "shantungosaurus",
    "shunosaurus",
    "shuvuuia",
    "silvisaurus",
    "sinocalliopteryx",
    "sinornithosaurus",
    "sinosauropteryx",
    "sinraptor",
    "sinvenator",
    "zalmoxes",
    "zephyrosaurus",
    "zuniceratops",
    "byzantine",
    "svengali",
    "accolade",
    "acrimony",
    "angst",
    "anomaly",
    "antidote",
    "baroque",
    "bona_fide",
    "bourgeois",
    "bravado",
    "brogue",
    "brusque",
    "cacophony",
    "caustic",
    "charisma",
    "cloying",
    "deja-vu",
    "dichotomy",
    "elan",
    "ennui",
    "epitome",
    "esoteric",
    "euphemism",
    "faux pas",
    "fiasco",
    "finagle",
    "glib",
    "harbinger",
    "hedonist",
    "heresy",
    "idyllic",
    "insidious",
    "junket",
    "kitsch",
    "litany",
    "lurid",
    "malaise",
    "malinger",
    "mantra",
    "maudlin",
    "mercenary",
    "misnomer",
    "nirvana",
    "oblivion",
    "ogle",
    "ostracize",
    "panacea",
    "paradox",
    "peevish",
    "propriety",
    "revel",
    "rhetoric",
    "spartan",
    "stigma",
    "stoic",
    "suave",
    "sycophant",
    "tirade",
    "tryst",
    "untenable",
    "vicarious",
    "vile",
    "waft",
    "zealous"
]

# STRUCTURED
CSS_PROPERTIES = {
    "background-color": "color",
    "border-color": "color",
    "color": "color",
    "display": [
        "block",
        "none",
        "inline"
    ],
    "font-size": "size",
    "font-style": [
        "inherit",
        "initial",
        "italic",
        "normal",
        "oblique"
    ],
    "position": [
        "absolute",
        "fixed",
        "inherit",
        "initial",
        "relative",
        "static"
    ],
    "margin-bottom": "size",
    "margin-left": "size",
    "padding-right": "size",
    "padding-top": "size",
    "pointer": [
        "crosshair",
        "help",
        "pointer",
        "progress"
    ],
    "text-align": [
        "center",
        "inherit",
        "initial",
        "justify",
        "left",
        "right"
    ],
    "width": "size"
}
CSS_SELECTORS = [
    ".",
    "#"
]
CSS_SIZE_UNITS = [
    "em",
    "pt",
    "px"
]
HTML_CONTAINER_TAGS = {
    "a": {
        "class": "word",
        "href": "url",
        "id": "word",
        "style": "css",
        "target": [
            "_blank",
            "_parent",
            "_top"
        ]
    },
    "div": {
        "class": "word",
        "id": "word",
        "style": "css"
    },
    "p": {
        "class": "word",
        "id": "word",
        "style": "css"
    },
    "span": {
        "class": "word",
        "id": "word",
        "style": "css"
    }
}
HTML_MARKUP_TAGS = [
    "b",
    "em",
    "i",
    "small",
    "strong"
]

# TRANSPORT
TRUCKS = [
    "ACMAT",
    "AEC",
    "AIL",
    "AWD",
    "Albion",
    "Argyle",
    "Askam",
    "Astra",
    "Atkinson",
    "Austin",
    "Automiesse",
    "BMC",
    "Barkas",
    "Baron",
    "Barreiros",
    "Bean",
    "Beardmore",
    "Bedford",
    "BelAZ",
    "Berliet",
    "Berna",
    "Bernard",
    "Borgward",
    "Bristol",
    "Brossel",
    "Bucegi",
    "Büssing",
    "Caledon",
    "Carmichael",
    "Chavdar",
    "Chery",
    "Chingkangshan",
    "Citroen",
    "Commer",
    "Crossley",
    "Csepel",
    "Daewoo",
    "Daihatsu",
    "Delahaye",
    "Dennison",
    "Dodge",
    "Douglas",
    "ELBO",
    "ERF",
    "Ebro",
    "FAP",
    "FAW",
    "FBW",
    "Fargo",
    "Fiat",
    "Foden",
    "Ford",
    "Foton",
    "Fowler",
    "GA",
    "GAZ",
    "GV",
    "Garner",
    "Garrett",
    "Gaz",
    "Genoto",
    "Gilford",
    "Ginaf",
    "Grube",
    "Guy",
    "HHT",
    "HSG",
    "Halley",
    "Hallford",
    "Hanomag",
    "Hardy",
    "Haulamatic",
    "Henschel",
    "Hino",
    "Horch",
    "Hotchkiss",
    "Hyundai",
    "IFA",
    "Isuzu",
    "Iveco",
    "Jelcz",
    "Jensen",
    "Jiaotong",
    "Jiefang",
    "KAZ",
    "KMC",
    "Kaelble",
    "Kalmar",
    "Kamaz",
    "Karrier",
    "Komatsu",
    "KrAZ",
    "LAZ",
    "LIAZ",
    "Labourier",
    "Lacre",
    "Lancia",
    "Latil",
    "Leyland",
    "Loheac",
    "Lomount",
    "MAN",
    "MAZ",
    "MTN",
    "MTZ",
    "MZKT",
    "Madara",
    "Magirus",
    "Manchester",
    "Mann",
    "Maudslay",
    "Mazda",
    "McCrud",
    "Minerva",
    "Minsei",
    "Morris",
    "Mowag",
    "Multicar",
    "Multiwheeler",
    "Namco",
    "Neobus",
    "Nibus",
    "Nicolas",
    "Nissian",
    "Norde",
    "Opel",
    "Otokar",
    "Otosan",
    "Pagefield",
    "Panhard",
    "Pegaso",
    "Peugeot",
    "Praga",
    "Preslav",
    "Proctor",
    "Quest",
    "Raba",
    "Robur",
    "Roman",
    "Rotinoff",
    "Rutland",
    "SD",
    "SR",
    "Saurer",
    "Saviem",
    "Scammell",
    "Scania",
    "Seddon",
    "Sentinel",
    "Shacman",
    "Shefflex",
    "Sides",
    "Simca",
    "Sinotruk",
    "Sitom",
    "Somua",
    "Star",
    "Steyr",
    "Straussler",
    "TAM",
    "TVM",
    "TVS",
    "TVW",
    "Tata",
    "Tatra",
    "Temax",
    "Terberg",
    "Thornycroft",
    "Titan",
    "Tonar",
    "URO",
    "Unic",
    "Unimog",
    "Union",
    "Unipower",
    "Ural",
    "Vanaja",
    "Verheul",
    "Volkswagen",
    "Vomag",
    "Vulcan",
    "Willeme",
    "XCMG",
    "Yarovit",
    "Yorkshire",
    "Yuejin",
    "ZiL",
    "Zwicky",
    "ÖAF",
    "Škoda"
]
CAR = [
    "Ford Model T",
    "Volkswagen Beetle",
    "Toyota Corolla",
    "Ford Falcon",
    "Volkswagen Gol",
    "Volkswagen Santana",
    "Škoda Octavia",
    "Renault Clio",
    "Volkswagen Golf",
    "Hindustan Ambassador",
    "Fiat Uno",
    "Toyota Corolla",
    "Perodua Myvi",
    "SEAT Ibiza",
    "Volvo 200 Series",
    "Renault Symbol",
    "ZAZ Zaporozhets",
    "Morris Mini",
    "Ford F-Series",
    "Alfa Romeo Alfasud",
    "Alpine A310",
    "AMC Hornet",
    "Aston Martin DB7",
    "Autobianchi A112",
    "BMW 3 Series",
    "Buick LeSabre",
    "Bugatti Type 40",
    "Cadillac De Ville",
    "Checker Marathon",
    "Chevrolet Impala",
    "Chrysler Newport",
    "Citroën 2CV",
    "Continental Mark II",
    "Crosley",
    "DeSoto Custom",
    "De Tomaso Pantera",
    "Dodge Coronet",
    "Eagle Talon",
    "Edsel Ranger",
    "Excalibur Series II",
    "Facellia",
    "Ferrari 360",
    "Fiat Uno",
    "Ford F-Series",
    "Frazer Standard",
    "Henry J Deluxe",
    "Hindustan Ambassador",
    "Holden Commodore",
    "Honda Civic",
    "Hudson Super",
    "Imperial Crown",
    "Jaguar XJ",
    "Jeep Cherokee (XJ)",
    "Kaiser Deluxe",
    "Koenigsegg CCX",
    "Lada Riva",
    "Series/Defender",
    "Lamborghini Gallardo",
    "Lancia Ypsilon",
    "Lincoln Town Car",
    "Lotus Elise",
    "McLaren 12C",
    "Maserati Biturbo",
    "Mazda Familia",
    "Mercedes-Benz C-Class",
    "Mercury Grand Marquis",
    "Messerschmitt KR200",
    "Metropolitan",
    "Mitsubishi Lancer",
    "Nash Statesman",
    "Oldsmobile Cutlass",
    "Opel Corsa",
    "Packard Eight",
    "Peel Trident",
    "Perodua Myvi",
    "Peugeot 206",
    "Plymouth Fury",
    "Pontiac Grand Am",
    "Porsche 911",
    "Rambler Classic",
    "Renault Clio",
    "Rolls-Royce Silver Shadow",
    "Saab 900",
    "Saturn S-Series",
    "SEAT Ibiza",
    "Simca 1100",
    "Smart Fortwo",
    "Studebaker Champion",
    "Subaru Legacy",
    "Škoda Octavia",
    "Toyota Corolla",
    "Tesla Model S",
    "Trabant",
    "Volkswagen Golf",
    "Volvo 200 Series",
    "Willys 77",
    "Zaporozhets",
    "Nissan Leaf",
    "Chevrolet Impala",
    "Toyota Prius",
    "Ford F-Series",
    "Chevrolet Volt",
    "Cadillac De Ville",
    "Porsche 911 GT3 Cup",
    "Mazda RX-7",
    "Nissan Z-cars",
    "Mazda MX-5",
    "Volkswagen Type 2",
]
AIRPLANES = (
    'Airbus',
    'Boeing',
    'Tu'
)
